# mutex.h File Reference

`#include <ptlib/critsec.h>`
`#include <ptlib/semaphor.h>`
`#include "unix/ptlib/mutex.h"`

Go to the source code of this file.

## Classes

class | PTimedMutex
| This class defines a thread mutual exclusion object. More...

## Defines

#define | PCriticalSection PTimedMutex

## Typedefs

typedef PTimedMutex | PMutex

## Define Documentation

#define PCriticalSection PTimedMutex

## Typedef Documentation

typedef PTimedMutex PMutex